#ifndef TGA_WRITER_H
#define TGA_WRITER_H

#pragma pack (push,  1)

// Targa files can be more complicated than this, but we'll start
// with type-2 (truecolor, uncompressed) TGA files. This keeps
// file reading simpler.
typedef struct 		
{
	unsigned char		NrOfCharsInIDField;
	unsigned char		ColorMapType;
	unsigned char		ImageType; // should be 2 for our purposes
	unsigned short		ColorMapOrigin;
	unsigned short		ColorMapLength;
	unsigned char		ColorMapEntrySize;
	unsigned short		XOrigin;
	unsigned short		YOrigin;
	unsigned short		Width;
	unsigned short		Height;
	unsigned char		ImagePixelSize;
	unsigned char		ImageDescriptorByte;
} TGAHEADER;

#pragma pack(pop)


#endif //TGA_WRITER_H